/**
 *  Java GUI Tutorial 
 *  MenuExample.java
 *
 *  @autor Gabor Nemeth, HUNGARY 2007
 *    
 *  Licence: free for non-commercial use
 *
 *  This is a sample program without guarantee and liability.
 *  
 *
 **/


import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

public class MenuExample extends JFrame implements ActionListener,ItemListener {

  private JLabel label;
  private JMenu menu;
  private JMenuItem exitItem;
  private JMenu submenu;
  private JMenu colorMenu;
  private JMenuItem redItem;
  private JMenuItem greenItem;
  private JMenuItem blueItem;
  private JRadioButtonMenuItem radioItem1;
  private JRadioButtonMenuItem radioItem2;
  private JCheckBoxMenuItem checkboxItem1;
  private JCheckBoxMenuItem checkboxItem2;
  private ButtonGroup buttonGroup;
  private JMenuBar menubar; 

  public MenuExample() {
    super("Menu example");
    this.setSize(300,200);
    menu = new JMenu("Menu");
    colorMenu = new JMenu("Color");
    submenu = new JMenu("Submenu");
    redItem = new JMenuItem("Red");
    greenItem = new JMenuItem("Green");
    blueItem = new JMenuItem("Blue");
    exitItem = new JMenuItem("Exit");
    
    radioItem1 = new JRadioButtonMenuItem("Radio1");
    radioItem2 = new JRadioButtonMenuItem("Radio2");
    checkboxItem1 = new JCheckBoxMenuItem("Checkbox1");
    checkboxItem2 = new JCheckBoxMenuItem("Checkbox2");
    buttonGroup = new ButtonGroup();
    menubar = new JMenuBar();
    this.setJMenuBar(menubar);
    menubar.add(menu);
    menubar.add(colorMenu);
    
    menu.add(submenu);
    menu.add(exitItem);
    submenu.add(radioItem1);
    submenu.add(radioItem2);
    buttonGroup.add(radioItem1);
    buttonGroup.add(radioItem2);
    submenu.add(checkboxItem1);
    submenu.add(checkboxItem2);
    
    colorMenu.add( redItem );
    colorMenu.add( greenItem );
    colorMenu.add( blueItem );
    
    
    label = new JLabel(" Menu example ");
    this.getContentPane().add(label);
    radioItem1.addActionListener(this);
    radioItem2.addActionListener(this);
    exitItem.addActionListener(this);
    checkboxItem1.addItemListener(this);
    checkboxItem2.addItemListener(this);
    
    
    redItem.addActionListener( this );
    greenItem.addActionListener( this );
    blueItem.addActionListener( this );
  }
  
  public void actionPerformed(ActionEvent e) {
    if(e.getSource().equals(radioItem1)) {
      label.setText("Radio1 is selected");
    }
    if(e.getSource().equals(radioItem2)) {
      label.setText("Radio2 is selected");
    }
    if(e.getSource().equals(exitItem)) {
      this.dispose();
      System.exit(0);
    }
    if(e.getSource().equals(redItem)) {
      label.setForeground( Color.RED );
    }
    if(e.getSource().equals(greenItem)) {
      label.setForeground( Color.GREEN );
    }
    if(e.getSource().equals(blueItem)) {
      label.setForeground( Color.BLUE );
    }
  }
  
  public void itemStateChanged(ItemEvent e) {
    if(e.getSource().equals(checkboxItem1)) {
      label.setText("Checkbox1 is selected");
    }
    if(e.getSource().equals(checkboxItem2)) {
      label.setText("Checkbox2 is selected");
    }
  }
  
  public static void main(String[] args) {
    MenuExample frame = new MenuExample();
    frame.setVisible(true);
    
    // this is an implementation of window listener
    // the program will be stopped if you close the main frame
    WindowListener listener = new WindowAdapter() {
      public void windowClosing(WindowEvent we) {
        System.exit(0);
      }
    };
    frame.addWindowListener(listener);
  }
  
}


